package train.car;

/**
 * Beschreibt einen Waggon.
 *
 * @author Owyn
 * @version 2008-06-17
 */
public class Car {
    
    /**
     * Passagierkapazit&auml;t
     */
    private int capacity;
    /**
     * Wagenl&auml;nge in Metern
     */
    private int length;
    /**
     * Wagennummer
     */
    private int nr;
    
    /**
     * Erzeugt einen Waggon.
     *
     * @param capacity Passagierkapazit&auml;t
     * @param length Wagenl&auml;nge
     * @param nr Wagennummer
     */
    public Car(int capacity, int length, int nr) {
        this.capacity = capacity;
        this.length = length;
        this.nr = nr;
    }
    
    /**
     * @return Passagierkapazit&auml;t
     */
    public int getCapacity() {
        return capacity;
    }
    
    /**
     * @return Wagenl&auml;nge
     */
    public int getLength() {
        return length;
    }
    
    /**
     * @return Textdarstellung des Waggons in der Form &quot;Car Nr X&quot;
     */
    public String toString() {
        return "Car Nr " + nr;
    }
    
}
